Package weka.core.pmml.jaxbbindings

# Class TestDistributions

java.lang.Object
weka.core.pmml.jaxbbindings.TestDistributions

public class TestDistributions extends Object

Java class for TestDistributions element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="TestDistributions">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Baseline"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Alternate" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="field" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             <attribute name="normalizationScheme" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="resetValue" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="0.0" />
             <attribute name="testStatistic" use="required" type="{http://www.dmg.org/PMML-4_1}BASELINE-TEST-STATISTIC" />
             <attribute name="weightField" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             <attribute name="windowSize" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" default="0" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestDistributions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Alternate`
  `getAlternate()`
  Gets the value of the alternate property.
  `Baseline`
  `getBaseline()`
  Gets the value of the baseline property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getField()`
  Gets the value of the field property.
  `String`
  `getNormalizationScheme()`
  Gets the value of the normalizationScheme property.
  `double`
  `getResetValue()`
  Gets the value of the resetValue property.
  `BASELINETESTSTATISTIC`
  `getTestStatistic()`
  Gets the value of the testStatistic property.
  `String`
  `getWeightField()`
  Gets the value of the weightField property.
  `BigInteger`
  `getWindowSize()`
  Gets the value of the windowSize property.
  `void`
  `setAlternate(Alternate value)`
  Sets the value of the alternate property.
  `void`
  `setBaseline(Baseline value)`
  Sets the value of the baseline property.
  `void`
  `setField(String value)`
  Sets the value of the field property.
  `void`
  `setNormalizationScheme(String value)`
  Sets the value of the normalizationScheme property.
  `void`
  `setResetValue(Double value)`
  Sets the value of the resetValue property.
  `void`
  `setTestStatistic(BASELINETESTSTATISTIC value)`
  Sets the value of the testStatistic property.
  `void`
  `setWeightField(String value)`
  Sets the value of the weightField property.
  `void`
  `setWindowSize(BigInteger value)`
  Sets the value of the windowSize property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TestDistributions

    public TestDistributions()

- ## Method Details

  - ### getBaseline

    public Baseline getBaseline()
    Gets the value of the baseline property.
    Returns:
      possible object is `Baseline`

  - ### setBaseline

    public void setBaseline(Baseline value)
    Sets the value of the baseline property.
    Parameters:
      `value` - allowed object is `Baseline`

  - ### getAlternate

    public Alternate getAlternate()
    Gets the value of the alternate property.
    Returns:
      possible object is `Alternate`

  - ### setAlternate

    public void setAlternate(Alternate value)
    Sets the value of the alternate property.
    Parameters:
      `value` - allowed object is `Alternate`

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getField

    public String getField()
    Gets the value of the field property.
    Returns:
      possible object is `String`

  - ### setField

    public void setField(String value)
    Sets the value of the field property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNormalizationScheme

    public String getNormalizationScheme()
    Gets the value of the normalizationScheme property.
    Returns:
      possible object is `String`

  - ### setNormalizationScheme

    public void setNormalizationScheme(String value)
    Sets the value of the normalizationScheme property.
    Parameters:
      `value` - allowed object is `String`

  - ### getResetValue

    public double getResetValue()
    Gets the value of the resetValue property.
    Returns:
      possible object is `Double`

  - ### setResetValue

    public void setResetValue(Double value)
    Sets the value of the resetValue property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getTestStatistic

    public BASELINETESTSTATISTIC getTestStatistic()
    Gets the value of the testStatistic property.
    Returns:
      possible object is `BASELINETESTSTATISTIC`

  - ### setTestStatistic

    public void setTestStatistic(BASELINETESTSTATISTIC value)
    Sets the value of the testStatistic property.
    Parameters:
      `value` - allowed object is `BASELINETESTSTATISTIC`

  - ### getWeightField

    public String getWeightField()
    Gets the value of the weightField property.
    Returns:
      possible object is `String`

  - ### setWeightField

    public void setWeightField(String value)
    Sets the value of the weightField property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWindowSize

    public BigInteger getWindowSize()
    Gets the value of the windowSize property.
    Returns:
      possible object is `BigInteger`

  - ### setWindowSize

    public void setWindowSize(BigInteger value)
    Sets the value of the windowSize property.
    Parameters:
      `value` - allowed object is `BigInteger`